net.corda.contracts.asset

## Class Commands.SetLifecycle

- net.corda.contracts.asset.Obligation.Commands.SetLifecycle

- All Implemented Interfaces:
    CommandData, FungibleAsset.Commands
  Enclosing interface:
    Obligation.Commands

      public static class Commands.SetLifecycle
      implements Obligation.Commands

  A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.corda.contracts.asset.Obligation.Commands

      `Commands.Exit<P>, Commands.Issue, Commands.Move, Commands.Net, Commands.SetLifecycle, Commands.Settle<P>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetLifecycle(Obligation.Lifecycle lifecycle)` A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Obligation.Lifecycle` | `component1()`
    `Commands.SetLifecycle` | `copy(Obligation.Lifecycle lifecycle)` A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.
    `boolean` | `equals(java.lang.Object p)`
    `Obligation.Lifecycle` | `getInverse()`
    `Obligation.Lifecycle` | `getLifecycle()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### SetLifecycle

          public SetLifecycle(Obligation.Lifecycle lifecycle)

      A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

  - ### Method Detail

    - #### getInverse

          public Obligation.Lifecycle getInverse()

    - #### getLifecycle

          public Obligation.Lifecycle getLifecycle()

    - #### component1

          public Obligation.Lifecycle component1()

    - #### copy

          public Commands.SetLifecycle copy(Obligation.Lifecycle lifecycle)

      A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)